Skip to main content
GET
/
api
/
v1
/
cert-manager
/
discovery-jobs
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/cert-manager/discovery-jobs
import requests

url = "https://us.infisical.com/api/v1/cert-manager/discovery-jobs"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://us.infisical.com/api/v1/cert-manager/discovery-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "discoveries": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "certificatesFound": 123,
      "installationsFound": 123,
      "description": "<string>",
      "discoveryType": "network",
      "targetConfig": "<unknown>",
      "isAutoScanEnabled": false,
      "scanIntervalDays": 123,
      "gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "isActive": true,
      "lastScanStatus": "<string>",
      "lastScanJobId": "<string>",
      "lastScanMessage": "<string>",
      "lastScannedAt": "2023-11-07T05:31:56Z",
      "gatewayPoolId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "totalCount": 123
}
{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}

Query Parameters

offset
number
default:0

Pagination offset

Required range: x >= 0
limit
number
default:25

Pagination limit

Required range: 1 <= x <= 100

Search filter for name or description

Response

Default Response

discoveries
object[]
required
totalCount
number
required